Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.enc.v2
Class KeyInfo

    java.lang.Object
      be.fgov.ehealth.commons.enc.v2.KeyInfo

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:06:10+02:00",
               comments="JAXB RI v2.2.11")
    public class KeyInfo

extends Object
implements Serializable

Contains the information type about the key used for the encryption

Java class for KeyInfoType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="KeyInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}ETKSearchCriteria"/>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}EncryptedKey"/>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}Key"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`KeyInfo()`

Method Summary
`EncryptedDataType` | `getEncryptedKey()` Contains the encrypted Key
`ETKSearchCriteria` | `getETKSearchCriteria()` Gets the value of the etkSearchCriteria property.
`Key` | `getKey()` Contains the key to use to encrypt the response
`void` | `setEncryptedKey(EncryptedDataType value)` Sets the value of the encryptedKey property.
`void` | `setETKSearchCriteria(ETKSearchCriteria value)` Sets the value of the etkSearchCriteria property.
`void` | `setKey(Key value)` Sets the value of the key property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyInfo

    public KeyInfo()

Method Detail

### getKey

    public Key getKey()

  Contains the key to use to encrypt the response

  Returns:
    possible object is `Key`

### setKey

    public void setKey(Key value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `Key`

### getEncryptedKey

    public EncryptedDataType getEncryptedKey()

  Contains the encrypted Key

  Returns:
    possible object is `EncryptedDataType`

### setEncryptedKey

    public void setEncryptedKey(EncryptedDataType value)

  Sets the value of the encryptedKey property.

  Parameters:
    `value` - allowed object is `EncryptedDataType`

### getETKSearchCriteria

    public ETKSearchCriteria getETKSearchCriteria()

  Gets the value of the etkSearchCriteria property.

  Returns:
    possible object is `ETKSearchCriteria`

### setETKSearchCriteria

    public void setETKSearchCriteria(ETKSearchCriteria value)

  Sets the value of the etkSearchCriteria property.

  Parameters:
    `value` - allowed object is `ETKSearchCriteria`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.